#Ejemplo de Introductio to statistical Learning

#Los datos Khan consiste en un nmero de muestras de tejido correspondientes
#a 4 tipos de pequeas clulas tumorosas. Esta clasificacin se ha hecho va investigacin
#Para cada muestra de tejido, una expresin de medidas por gen estara
#disponible

#El conjunto de datos continen 2308 medidas de caractersticas de los genes

#Los conjuntos training y test contienen respectivamente 63 y 20 observaciones
#respectivamente

library(ISLR)

names(Khan)

table(Khan$ytrain)
table(Khan$ytest)

#Se usa un SVM para predecir el sub-tipo del gen cancergeno en base a la
#expresin de medidas por gen

#Al existir un elevado nmero de caractersticas, un kernel lineal parece adecuado

dat = data.frame(x = Khan$xtrain, y = as.factor(Khan$ytrain))

library(e1071)

out = svm(y~., data = dat, kernel = "linear", cost = 10)
summary(out)

#Anlisis de errores en training
table(out$fitted, dat$y)

#Anlisis de errores en test

dat.te = data.frame(x = Khan$xtest, y = as.factor(Khan$ytest))
pred.te = predict(out, newdata = dat.te)
table(pred.te, dat.te$y)

